﻿@model IEnumerable<OperationalRiskException.Core.ViewModels.ScoreVM>
@{
    ViewBag.Title = "Dashboard";
    Layout = "~/Views/Shared/_LayoutProcessor.cshtml";
}



<div class="row">
    <div class="col-md-12 grid-margin">
        <div class="d-flex justify-content-between flex-wrap">
            <div class="d-flex align-items-end flex-wrap">
                <div class="d-flex">
                    <i class="mdi mdi-home text-muted hover-cursor"></i>
                    <p class="text-muted mb-0 hover-cursor">&nbsp;/&nbsp;  Dashboard &nbsp;/&nbsp;</p>
                    <p class="text-primary mb-0 hover-cursor">Operational</p>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="row">

    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-primary shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Number of Champions </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" id="NoOfChampions"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-apple fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Earnings (Monthly) Card Example -->


    <!-- Earnings (Monthly) Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Champion Taken Assessment <span class="taken"></span> </div>
                        <div class="row no-gutters align-items-center">
                            <div class="col-auto">
                                <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800" id="takenTest">0%</div>
                            </div>
                            <div class="col">
                                <div class="progress progress-sm mr-2">
                                    <div class="progress-bar" role="progressbar"  style="width: 50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-clipboard fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Pending Requests Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Not Yet Taken Assessments</div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" id="notYetTakenTest"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fa fa-comments fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12 grid-margin stretch-card">
        <div class="card tablecontainer">
            <div class="card-body">
                <h4 class="card-title"></h4>
                <p class="card-description">
                    List of Users
                </p>
                <div class="table-responsive pt-3">
                    <table class="table table-bordered" id="myTable">
                        <thead>
                            <tr>

                                <th>
                                    Username
                                </th>
                                <th>
                                    Department
                                </th>
                                <th>
                                    Total Question(s) (TQ)
                                </th>
                                <th>
                                    Number of Exception(s) (Ex)
                                </th>
                                <th>
                                    <span title="(5 X Ex)/(5 X TQ) X 100"> Risk  Scores(%)</span>
                                  
                                </th>

                                <th>
                                    <span title="Low Risk= Below 40%.   Medium Risk = 40% -60%.   High Risk= Above 60% ">   Risk Level </span>
                                </th>
                                
                              

                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var items in Model)
                            {
                            <tr>
                                <td>
                                    @items.Username
                                </td>
                                <td>
                                    @items.Department
                                </td>

                                <td>
                                    @items.TotalScore
                                </td>
                                <td>
                                    @items.ScoreNo
                                </td>
                                <td>

                                    @items.Risk
                                </td>
                                <td>
                                    @{ if (@items.Risk > 60)
                                        {
                                            <span class="badge badge-outline-danger">High Risk</span>
                                        }
                                        else if (@items.Risk > 40 && @items.Risk < 60)
                                        {
                                            <span class="badge badge-outline-warning">Medium Risk</span>
                                        }
                                        else
                                        {
                                            <span class="badge badge-outline-success">low Risk</span>
                                        }

                                    }
                                </td>
                                <td>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-primary">View</button>
                                        <button type="button" class="btn btn-danger dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <span class="sr-only">Dropdown</span>
                                        </button>
                                        <div class="dropdown-menu">
                               
                                            <a class="dropdown-item" href="@Url.Action("UserScript", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId">Assessment Result</a>
                                            <a class="dropdown-item" href="@Url.Action("UserCorrectivePlan", "OperationalRisk")?userId=@items.UserId&SetupId=@items.AssessmentSetupId">Corrective Action Plan</a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    var oTable;
    $(document).ready(function () {
        $("#myTable").DataTable();
      
    });
 
  
      var url = '@Url.Action("Dashboard", "OperationalRisk")';
      $.ajax({
            url: url,
            type: 'GET',
            datatype: 'json',
    
            async: false,
       
            success: function (response) {
                console.log(response)
                if (response.data) {
                    var taken = response.data.TakenAssessments;
                    var score = ((taken / response.data.NoOfChampions) * 100);
                    $("#NoOfChampions").html(response.data.NoOfChampions);
                    $("#takenTest").html(score + '%');
                    $(".taken").html('('+taken+ ')');
                    $(".progress-bar").width(score);
                    score < 40 ? $(".progress-bar").addClass('bg-danger') :
                        score>60?
                        $(".progress-bar").addClass('bg-success'): $(".progress-bar").addClass('bg-info')
                    $("#notYetTakenTest").html(response.data.NotYetTakenAssessments);

                }

            }
        });
      
 


</script>


